Account Ownership Verification Bank Maintenance Inquiry API
Checks whether a bank is under maintenance for account ownership verification operations.
API Information
POST/v1/api/bank/timecheck/detail
Content-Type
application/json; charset=UTF-8Sandbox
https://tbnpay.settlebank.co.kr/v1/api/bank/timecheck/detailProduction
https://npay.settlebank.co.kr/v1/api/bank/timecheck/detailRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Processing type.
Processing type.
*Fixed value (AA: Account ownership verification)
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code (3 digits).
Bank code (3 digits).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(auto-generated)SHA-256 hash value.
NOTE
Signature composition
mchtId + reqDt + reqTm + bankCd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
SuccessResult message.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
└bankChkYnAN(1)Alphanumeric, up to 1 bytes*Bank maintenance status.
NBank maintenance status.
Y: Under maintenance N: Normal└stDtmAN(14)Alphanumeric, up to 14 bytesMaintenance start date and time (yyyyMMddhhmmss).
20210830000000Maintenance start date and time (yyyyMMddhhmmss).
└edDtmAN(14)Alphanumeric, up to 14 bytesMaintenance end date and time (yyyyMMddhhmmss).
20210830001000Maintenance end date and time (yyyyMMddhhmmss).
